> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phishy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile

> Updates an existing profile



## OpenAPI

````yaml PUT /profiles/{smtp_id}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://base.url.com
security:
  - apiKey: []
paths:
  /profiles/{smtp_id}:
    put:
      description: Updates an existing profile
      operationId: updateProfile
      requestBody:
        description: Updated profile information
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSMTPConfig'
        required: true
      responses:
        '200':
          description: Updated profile response
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: You do not have permission to access this resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
components:
  schemas:
    UpdateSMTPConfig:
      type: object
      required:
        - name
        - username
        - password
        - host
        - port
        - interface_type
        - from_address
        - ignore_cert_errors
        - is_secure
      properties:
        name:
          type: string
          description: Updated descriptive name for the SMTP configuration
        username:
          type: string
          description: Updated username for SMTP authentication
        password:
          type: string
          description: Updated password for SMTP authentication
          format: password
        host:
          type: string
          description: Updated SMTP server host address
        port:
          type: integer
          description: Updated SMTP server port
          format: int32
        interface_type:
          type: string
          description: Type of the email sending interface
          enum:
            - SMTP
            - API
        from_address:
          type: string
          description: Updated email address to use in the 'From' field
        ignore_cert_errors:
          type: boolean
          description: Specifies if SSL/TLS certificate errors should still be ignored
          default: false
        is_secure:
          type: boolean
          description: Indicates if the connection should now be secured (SSL/TLS)
          default: true
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    ForbiddenError:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
          description: Error code representing the type of error
          example: 403
        message:
          type: string
          description: A message describing the error
          example: You do not have permission to access this resource.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-phishy-api-key

````